"""create user_account, user_profile and contact table

Revision ID: 3a1f57242769
Revises: 
Create Date: 2023-07-07 21:55:20.913012

"""
from alembic import op
import sqlalchemy as sa
from sqlalchemy.dialects import postgresql

# revision identifiers, used by Alembic.
revision = '3a1f57242769'
down_revision = None
branch_labels = None
depends_on = None


def upgrade() -> None:
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('user_account',
    sa.Column('id', sa.String(length=26), nullable=False),
    sa.Column('username', sa.String(length=20), nullable=False),
    sa.Column('email', sa.String(), nullable=False),
    sa.Column('password', sa.String(length=60), nullable=False),
    sa.Column('updated_at', sa.DateTime(), nullable=False),
    sa.Column('created_at', sa.DateTime(), nullable=False),
    sa.PrimaryKeyConstraint('id'),
    sa.UniqueConstraint('email'),
    sa.UniqueConstraint('username')
    )
    op.create_table('contact',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('friends', postgresql.JSONB(astext_type=sa.Text()), nullable=True),
    sa.Column('friend_groups', sa.ARRAY(sa.String()), nullable=True),
    sa.Column('group_chats', postgresql.JSONB(astext_type=sa.Text()), nullable=True),
    sa.Column('user_id', sa.String(length=26), nullable=False),
    sa.ForeignKeyConstraint(['user_id'], ['user_account.id'], ondelete='CASCADE'),
    sa.PrimaryKeyConstraint('id')
    )
    op.create_table('user_profile',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('nickname', sa.String(), nullable=False),
    sa.Column('gender', sa.Enum('man', 'woman', name='gender'), nullable=True),
    sa.Column('birthday', sa.Date(), nullable=True),
    sa.Column('location', sa.String(), nullable=True),
    sa.Column('status', sa.String(), nullable=True),
    sa.Column('sign', sa.String(), nullable=True),
    sa.Column('avatars', sa.String(), nullable=True),
    sa.Column('user_id', sa.String(length=26), nullable=False),
    sa.ForeignKeyConstraint(['user_id'], ['user_account.id'], ondelete='CASCADE'),
    sa.PrimaryKeyConstraint('id')
    )
    # ### end Alembic commands ###


def downgrade() -> None:
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_table('user_profile')
    op.drop_table('contact')
    op.drop_table('user_account')
    # ### end Alembic commands ###
