from typing import Optional

from pydantic import BaseModel

from .base import BaseResponseModel


class _UserAccount(BaseModel):
    id: str
    username: str
    email: str


class _UserProfile(BaseModel):
    nickname: str
    gender: str | None
    birthday: str | None
    location: str | None
    status: str | None
    sign: str | None
    avatar: str | None


class UserAccountResponse(BaseResponseModel):
    data: Optional[_UserAccount] = None


class TokenCreationResponse(BaseResponseModel):
    token: str


class TokenSigninResponse(BaseResponseModel):
    data: Optional[_UserAccount] = None
    token: Optional[str] = None


class UserProfileResponse(BaseResponseModel):
    data: _UserProfile


class UserAvatarResponse(BaseResponseModel):
    data: str
